import {Component} from '@angular/core';
import {IonicPage, NavController, NavParams} from 'ionic-angular';
import {MineService} from "../mine.service";


@Component({
    selector: 'page-my-verify',
    templateUrl: 'my-verify.html',
})
export class MyVerifyPage {
    dbList = [];

    constructor(public navCtrl: NavController, public navParams: NavParams,
                private mine: MineService) {
    }

    ionViewDidLoad() {
        this.getList();
    }

    getList() {
        const data = {
            page: 1,
            limit: 10,
            flag: 2
        };
        this.mine.dblog(data).subscribe(
            (res) => {
                this.dbList = res.page.list.log;
            }
        )
    }

}
